Subject: Re: [Roll] New Version Notification for draft-dt-roll-rpl-01

From: Tim Winter <[email-masked]>
Date: Tue, 14 Jul 2009 09:32:58 -0400

WG,

We have posted a new revision of RPL to account for some of the feedback so far-

Changes in this revision include:
	- Clarifications and additional examples of RPL mechanisms
	- Introduction of Objective Code Points
	- cleanup some nits

The clarifications reflect some of the discussion and feedback that we have
had on the WG list, in order to better demonstrate what RPL is about.

The Objective Code Point is a proposed way to handle the issue of multiple
metrics and optimization objectives in a way that decouples policy
(application/implementation specific) from the protocol, but not so much at
the cost of optimization as the prior proposal.  The Objective Code Point is
a value signaled along the DAG in DIOs that is intended to index a Registry
in order to define:
	- What metrics are in use
	- What are the optimization goals (objective function) with the
          metrics?
	- How is depth calculated

In this way nodes in the DAG may become aware of what optimizations and
metrics are in use.  For example, an OCP may indicate that ETX is being
minimized, and the consideration of depth for loop avoidance purposes should
closely track ETX.  In a future draft we can refine the expected (default)
behaviors for a node that does not understand the OCP in use.

Other issues (suppression mechanism, ...) that have been raised on the list
have not yet been explicitly addressed in this draft.

Thanks to everyone who has provided inputs and feedback thus far.

Regards,

-Tim

IETF I-D Submission Tool wrote:
> A new version of I-D, draft-dt-roll-rpl-01.txt has been successfuly submitted by Tim Winter and posted to the IETF repository.
> 
> Filename:	 draft-dt-roll-rpl
> Revision:	 01
> Title:		 RPL: Routing Protocol for Low Power and Lossy Networks
> Creation_date:	 2009-07-12
> WG ID:		 Independent Submission
> Number_of_pages: 69
> 
> Abstract:
> This document specifies the Routing Protocol for Low Power and Lossy
> Networks (RPL), in accordance with the requirements described in
> [I-D.ietf-roll-building-routing-reqs],
> [I-D.ietf-roll-home-routing-reqs],
> [I-D.ietf-roll-indus-routing-reqs], and [RFC5548].
>                                                                                   
> 
> 
> The IETF Secretariat.
> 
> 
>